﻿using System.Globalization;
using System.Threading;
using System.Windows;

namespace Demo
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void DoError()
        {
            Test t = new Test(); 
            t.Run();
        }

        private void SetCulture(string name)
        {
            Thread.CurrentThread.CurrentCulture = new CultureInfo(name);
            Thread.CurrentThread.CurrentUICulture = new CultureInfo(name);
        }

        private void bntDe_Click(object sender, RoutedEventArgs e)
        {
            SetCulture("de");
            DoError();
        }

        private void bntSys_Click(object sender, RoutedEventArgs e)
        {
            SetCulture("en");
            DoError();
        }
    }
}
