﻿using System.Windows;

public static partial class Extensions
{
    public static void CenterWindowOnScreen(this Window @this)
    {
        double screenWidth = System.Windows.SystemParameters.PrimaryScreenWidth;
        double screenHeight = System.Windows.SystemParameters.PrimaryScreenHeight;
        double windowWidth = @this.Width;
        double windowHeight = @this.Height;
        @this.Left = (screenWidth / 2) - (windowWidth / 2);
        @this.Top = (screenHeight / 2) - (windowHeight / 2);
    }
}